using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerStats
{
    public static string Username = "unnamed";
    public static int Level = 1;
    public static int Score = 0;
    public static List<string> Deck = new List<string>(); 
    static PlayerStats()
    {
        Reset();
    }

    public static int MaxHealth = 12;
    public static int MaxEnergy = 5;

    public static void Reset()
    {
        Level = 1;
        Score = 0;

        Deck.Clear();

        if (Debug.isDebugBuild)
        {
            Deck.Add("Pit Trap");
            Deck.Add("Awakened Sorrow");
            Deck.Add("Might of the Druid");
            Deck.Add("Awaken the Forest");
        }
        else
        {
            Deck.Add("Might of the Druid");
            Deck.Add("Might of the Druid");
            Deck.Add("Might of the Druid");
            Deck.Add("Might of the Druid");
            Deck.Add("Might of the Druid");
            Deck.Add("Awaken the Forest");
            Deck.Add("Awaken the Forest");
        }


        MaxHealth = 12;
        MaxEnergy = 5;
    }
}
